Jump to content
Sign in to follow this  
ciufs

Plesk 9.2.1 - Spamassassin

Recommended Posts

Salve, ho un dedicato Windows 2003 con Plesk 9.2.1 con Powerpack (spamassassin 3.2.3), utilizzo come antivirus clamAV per windows 0.95.x (riconosciuto come componente dal pannello plesk).

Quando invio email da uno script in PHP dal server oppure invio una mail senza oggetto, mi arriva l'email (su un altro server per semplicità chiamiamolo SRV2) taggata come ****SPAM****.

L'email non viene vista dal server SRV2 come spam (controllato che su SRV2 linux lo score di spamassassin è sul -2) ma l'aggiunta all'oggetto viene fatta dal mio server Plesk quando invia l'email... e qui nascono le mie domande

1. E' possibile e in che modo disabilitare il controllo dello SpamAssassin in uscita ???

2. Ho verificato che conta male lo SCORE perchè aveva il bug delle regole del 2010 (FH_DATE_PAST_20xx), come da indicazione sul sito parallels, ho sovrascritto le nuove RULES dal sito spamassassin nella path

%plesk_dir%Additional\Perl\site\share\spamassassin

e riavviato poi il servizio Plesk Management Service

fonte: http://kb.parallels.com/en/1334

cosi facendo ho risolto il bug delle email 2010 e gli score sono piu bassi (solo quello mi rubava mediamente 2.5) tuttavia rimane il fatto che se invio delle email a volte sono taggate SPAM dal mio server e non dal server che riceve l'email.

In piu se richiamo da command windows il comando: sa-update affinchè mi aggiorni lui le regole e non manualmente, mi dice:

 
Argument "1.26_01" isnt' numeric in subroutine entry at C:\PROGRA~1\PARALL~1\Plesk\ADDITI~1\Perl\bin\sa-update line 78.
error: gpg required but not found!

Cambiando poi il file sa-update verso la linea 139:

 

my $GPG_ENABLED = 1; in 0;

come consigliato qui: http://forum.parallels.com/pda/index.php/t-81180.html

non mi dice piu error: gpg required but not found!

ma rimane cmq:

Argument "1.26_01" isnt' numeric in subroutine entry at C:\PROGRA~1\PARALL~1\Plesk\ADDITI~1\Perl\bin\sa-update line 78.

mi è stato infine consigliato di controllare qui per risolvere quest'ultimo problema e farmi funzionare il SA-UPDATE:

http://www.mailinglistarchive.com/us.../msg10956.html

Try upgrading your Archive::Tar to a version which isn't mis-labeled

like that. As a bonus 1.29 and higher recover more gracefully from

garbage input than 1.26_01.

ma come si fa ?? ma se nella directory spamassassin di plesk 9 windows mettessi i file del nuovo spamassassin 3.3.x sarebbe aggiornato o ci son file e path da editare?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×